For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Snapshot

Returns the Snapshot by ID.

get
/snapshots/{snapshotId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
snapshotIdstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
Responses
200

Getting Snapshot was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Snapshot.

Example: a8784665-3d99-5464-af32-30a2967f58e7
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Snapshot.

Example: /snapshots/a8784665-3d99-5464-af32-30a2967f58e7
metadataobject · NoMetadataRead-onlyRequired
get/snapshots/{snapshotId}
GET /v2/snapshots/{snapshotId} HTTP/1.1
Host: in-memory-db.de-fra.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "a8784665-3d99-5464-af32-30a2967f58e7",
  "type": "snapshot",
  "href": "/snapshots/a8784665-3d99-5464-af32-30a2967f58e7",
  "metadata": {},
  "properties": {
    "clusterId": "59348c25-2d4b-4870-a5b6-33c48fce1c58",
    "clusterName": "my-in-memory-db-cluster",
    "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
    "earliestRecoveryTargetTime": "2023-10-05T14:48:00.000Z",
    "latestRecoveryTargetTime": "2023-10-10T14:48:00.000Z",
    "location": "eu-central-3",
    "clusterVersion": "9.0",
    "snapshotSize": 16,
    "requiredSizeForRestore": 16
  }
}

Last updated

Was this helpful?